import Vue from 'vue';
import Vuex from 'vuex';
import marketproduct from '@common/store/market/marketproduct';
import expertsuser from '@common/store/market/exportuser';
import maarkettype from '@common/store/market/markettype';
import authUser from './user/auth-user';
import dock from '@common/store/live/dock';
import wxchattest from './user/wxchattest';
import * as ustate from '@/store/common/state';
import * as umutations from '@/store/common/mutations';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    marketproduct,
    expertsuser,
    maarkettype,
    authUser,
    dock,
    wxchattest,
  },
});
